TYPE DEFIN(3)

NAME
year_based_generator - A unifying date_generator base type.

SYNOPSIS

// In header: <boost/date_time/gregorian/gregorian_types.hpp>
typedef date_time::year_based_generator< date > year_based_generator;

DESCRIPTION

A unifying date_generator base type for: partial_date, nth_day_of_the_week_in_month, first_day_of_the_week_in_month, and last_day_of_the_week_in_month